package br.com.edertech.sample.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.view.InternalResourceViewResolver;

/***
 * 
 * Java Configuration for Web without XML
 * 
 * @author edertech
 * 
 */
@Configuration
@ComponentScan("br.com.edertech.sample")
@EnableWebMvc
public class WebConfig {

	@Bean
	public InternalResourceViewResolver setupViewResolver() {

		// This code overrides the setting that we did previously in web.xml
		InternalResourceViewResolver resolver = new InternalResourceViewResolver();
		resolver.setPrefix("/WEB-INF/views/");
		resolver.setSuffix(".jsp");

		return resolver;
	}
}
