package br.com.edertech.sample.web;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletRegistration.Dynamic;

import org.springframework.web.WebApplicationInitializer;
import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;
import org.springframework.web.servlet.DispatcherServlet;

import br.com.edertech.sample.config.WebConfig;

/***
 * 
 * Web application startup
 * 
 * @author edertech
 * 
 */
public class WebAppInit implements WebApplicationInitializer {

	@Override
    public void onStartup(ServletContext servletContext) throws ServletException {
	    
		AnnotationConfigWebApplicationContext  ctx = new AnnotationConfigWebApplicationContext();
		ctx.register(WebConfig.class);
		
		// This code overrides the setting that we did previously in applicationContext.xml 
		Dynamic servlet = servletContext.addServlet("dispatcher", new DispatcherServlet(ctx));
		servlet.addMapping("/");
		servlet.setLoadOnStartup(1);
    }

}
